Imports System.Data
Imports System.Data.OleDb

Partial Class CompareStocks
    Inherits System.Web.UI.Page

#Region "Event Handler"

    Protected Sub Page_Load(ByVal sender As Object, _
    ByVal e As System.EventArgs) Handles Me.Load
        Session("PageTitle") = "View Stock Performance"
    End Sub

    Protected Sub lstStock_SelectedIndexChanged _
    (ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles lstStock.SelectedIndexChanged
        If Not Session("Stocks") Is Nothing Then
            Session("Stocks") = Session("Stocks").ToString _
            & lstStock.SelectedValue & ","
        Else
            Session("Stocks") = lstStock.SelectedValue & ","
        End If
        dsStockComparisonData.SelectCommand = _
        "exec qryGetStockComparisonData '" & _
        Session("Stocks").ToString & "'"
        BindReport(lstStock.SelectedValue)
    End Sub

    Protected Sub cmdClear_Click(ByVal sender As Object, _
    ByVal e As System.EventArgs) Handles cmdClear.Click
        Session("Stocks") = ""
        dsStockComparisonData.SelectCommand = ""
    End Sub

    Protected Sub grdStockData_SelectedIndexChanged _
    (ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles grdStockData.SelectedIndexChanged
        BindReport(grdStockData.SelectedRow.Cells(1).Text)
    End Sub

#End Region

#Region "Memeber Functions"

    Sub BindReport(ByVal symbol As String)
        Dim myConnection As New OleDbConnection
        Dim myCommand As New OleDbCommand
        Dim myDA As New OleDbDataAdapter
        Dim myDS As New DataSet

        myConnection.ConnectionString = _
        ConfigurationManager.AppSettings("connString")
        myCommand.Connection = myConnection
        myCommand.CommandText = "Select * from qryStockPerformance " _
        & "where Symbol = '" & symbol & "'"
        myCommand.CommandType = CommandType.Text
        myDA.SelectCommand = myCommand
        myCommand.Connection.Open()
        myDA.Fill(myDS, "qryStockPerformance")
        Dim oRpt As New CrystalDecisions.CrystalReports.Engine.ReportDocument
        oRpt.FileName = "C:\webdss\casestudies\Portfolio\rptStockPerformance.rpt"
        oRpt.SetDataSource(myDS)
        rptViewer1.ReportSource = oRpt
        myCommand.Connection.Close()
    End Sub

#End Region

End Class
