<%@ Page Language="VB" MasterPageFile="~/Portfolio.master" AutoEventWireup="false" CodeFile="CompareStocks.aspx.vb" Inherits="CompareStocks" title="Stock Performances" %>

<%@ Register Assembly="CrystalDecisions.Web, Version=10.2.3600.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" Namespace="CrystalDecisions.Web" TagPrefix="CR" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
    <div style="text-align: center">
        <table border="0" cellpadding="3" cellspacing="3" style="width: 90%">
            <tr>
                <td align="left" valign="top">
                    <span style="font-family: Arial"><strong><span style="font-size: 10pt; color: #ffffff">
                        Select&nbsp;stocks</span><font color="#ffffff" face="Arial"
                            size="2"> to compare:</font></strong></span></td>
                <td align="left" style="width: 20px" valign="top">
                </td>
                <td align="left" valign="top">
                    <strong><span style="font-size: 10pt; color: #ffffff; font-family: Arial">
                    Stock Comparison:</span></strong>
                </td>
                <td align="left" valign="top"  style="width: 270px">
                </td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <asp:DropDownList ID="cmbType" runat="server" AutoPostBack="True" 
                    BackColor="#E0E0E0" Height="30px" Width="170">
                            <asp:ListItem Value="%">All</asp:ListItem>
                            <asp:ListItem Value="Auto">Auto</asp:ListItem>
                            <asp:ListItem Value="Beverages">Beverages</asp:ListItem>
                            <asp:ListItem Value="Communication">Communication</asp:ListItem>
                            <asp:ListItem Value="Energy">Energy</asp:ListItem>
                            <asp:ListItem Value="Insurance">Insurance</asp:ListItem>
                            <asp:ListItem Value="Retail">Retail</asp:ListItem>
                            <asp:ListItem Value="Software">Software</asp:ListItem>
                            <asp:ListItem Value="Tech">Tech</asp:ListItem>
                            <asp:ListItem Value="Utilities">Utilities</asp:ListItem>
                    </asp:DropDownList>
                </td>
                <td align="left" style="width: 20px" valign="top">
                </td>
                <td align="left" valign="top">
                   <asp:Button ID="cmdClear" runat="server" ForeColor="Navy" Height="32px" 
                   Text="Clear Selections" Width="120px" /></td>
                <td align="left" valign="top">
                </td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <asp:ListBox ID="lstStock" runat="server" AutoPostBack="True" BackColor="#E0E0E0"
                    DataSourceID="dsStocks" DataTextField="Company" DataValueField="Symbol" 
                    Height="159px" Width="170px"></asp:ListBox><br />
                    <asp:AccessDataSource ID="dsStocks" runat="server" DataFile="~/database/Portfolio.mdb"
                    SelectCommand="SELECT [Type], [Symbol], [Company] FROM [tblStock] WHERE ([Type] 
                    LIKE '%' + ? + '%')">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="cmbType" Name="Type" 
                            PropertyName="SelectedValue" Type="String" />
                        </SelectParameters>
                    </asp:AccessDataSource>
                </td>
                <td align="left" style="width: 20px" valign="top">
                </td>
                <td align="left" valign="top">
                    <asp:GridView ID="grdStockData" runat="server" AllowPaging="True" BackColor="White"
                        BorderColor="#CC9966" BorderStyle="None" BorderWidth="1px" CellPadding="4"
                        Font-Names="Arial" Font-Size="Smaller" PageSize="5" Width="210px" 
                        DataSourceID="dsStockComparisonData">
                        <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                        <Columns>
                            <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
                        </Columns>
                        <RowStyle BackColor="White" ForeColor="#330099" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                        <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" Font-Names="Arial" 
                        Font-Size="Small" ForeColor="#FFFFCC" />
                    </asp:GridView>
                    <asp:AccessDataSource ID="dsStockComparisonData" runat="server" 
                    DataFile="~/database/Portfolio.mdb"
                        SelectCommand='exec qryGetStockComparisonData ""'>
                    </asp:AccessDataSource>
                </td>
                <td align="left" valign="top">
                </td>
            </tr>
            <tr>
                <td align="left" colspan="4" valign="top">
                    <asp:Label ID="lblError" runat="server" Font-Bold="True" Font-Names="Arial" 
                    Font-Size="Small"
                        ForeColor="Yellow" Height="25px"></asp:Label><br />
                    <CR:CrystalReportViewer ID="rptViewer1" runat="server" 
                    DisplayGroupTree="False" DisplayToolbar="False"/>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>

