<%@ Page Language="VB" MasterPageFile="~/Portfolio.master" AutoEventWireup="false" CodeFile="Optimization.aspx.vb" Inherits="Optimization" title="Porfolio Optimization" %>

<%@ Register Assembly="CrystalDecisions.Web, Version=10.2.3600.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"
    Namespace="CrystalDecisions.Web" TagPrefix="CR" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
    <div style="text-align: center">
        <table border="0" cellpadding="3" cellspacing="3" style="width: 90%">
            <tr>
                <td align="left" valign="top">
                
                <table>
                <tr>
                  <td  valign=top align=left colspan="2" height="30" style="text-align: center">
                    <strong>
                    <FONT face="Arial" color="#ffff66" size="2"> Optimization Input:</FONT>
                    </strong>
                  </td>
                    <td colspan="1" width=50 valign="top">
                    </td>
                    <td valign=top colspan="2">
                        <strong><FONT face="Arial" color="#ffff66" size="2">Optimization Output:</FONT>
                        </strong>
                    </td>
                </tr>
                <tr>
                <td   width=150 align=left>
                     <FONT face="Arial" color="#ffffff" size="2">Total cash to invest in $ :</FONT>
                </td>
                <td>
				<asp:textbox id="txtCash" runat="server" BackColor="#E0E0E0" Width="60px">10000</asp:textbox>
                </td>
                    <td align="left">
                    </td>
                <td  align=left >
                <FONT face="Arial" color="#ffffff" size="2">Final Variance :</FONT>
                </td>
                <td style="text-align: left" >
			    <asp:label id="lblVar" runat="server" Font-Names="Arial" ForeColor="#FFFF80" 
			    Font-Bold="True" Font-Size="Small"></asp:label>
                </td>
                </tr>
                <tr>
                <td  width=150 align=left>
                    <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Minimum 
					desired return on portfolio in % :</span></td>
                <td>
			    <asp:textbox id="txtMinRet" runat="server" BackColor="#E0E0E0" Width="60px">10</asp:textbox>
                </td>
                    <td align="left">
                    </td>
                <td align=left >
                <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Cash Used :</span></td>
                <td>
                <asp:label id="lblCashUsed" runat="server" Font-Names="Arial" ForeColor="#FFFF80" 
                Font-Bold="True" Font-Size="Small"></asp:label>
                </td>
                </tr>
                <tr>
                <td  width=150 align=left>
                <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Maximum amount per
                 investment in % :</span>
                 </td>
                 <td >
			     <asp:textbox id="txtMaxInv" runat="server" BackColor="#E0E0E0" Width="60px">20</asp:textbox>
                </td>
                    <td align="left">
                    </td>
                <td   align=left >
                <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Return :</span>
                </td>
                <td >
			    <asp:label id="lblReturn" runat="server" Font-Names="Arial" ForeColor="#FFFF80" 
			    Font-Bold="True" Font-Size="Small"></asp:label>
                </td>
                </tr>
                    <tr>
                        <td colspan="2" style="text-align: center">
                            <br />
				<asp:button id="cmdOpt" runat="server" Text="Re-optimize This" Font-Size="Smaller" 
				Font-Names="Arial" ForeColor="Navy" Font-Bold="True"></asp:button></td>
                        <td align="left">
                        </td>
                        <td align="left">
                        </td>
                        <td>
                        </td>
                    </tr>
               </table>
                    <asp:Label ID="lblError" runat="server" Font-Bold="True" Font-Names="Arial" 
                    Font-Size="Small" ForeColor="#FFFF80"></asp:Label></td>
                <td align="left" valign="top">
                    <span style="font-size: 10pt; color: #ffff66; font-family: Arial"><strong>
                        <div style="text-align: left">
                            <table border="0">
                                <tr>
                                    <td align="left" valign="top" height=30>
                                        <span id="ctl00_Main_lblInvest">Investments</span>:
                                    </td>
                                </tr>
                                <tr>
                                    <td align="left" valign="top">
                                        <asp:GridView ID="dataGridResults" runat="server" AutoGenerateColumns="False" BackColor="White"
                                            BorderColor="#CC9966" BorderStyle="None" BorderWidth="1px" CellPadding="4" DataKeyNames="Symbol"
                                            DataSourceID="dsOptTable">
                                            <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                                            <Columns>
                                                <asp:BoundField DataField="Symbol" HeaderText="Symbol" ReadOnly="True" SortExpression="Symbol" />
                                                <asp:BoundField DataField="Cash" HeaderText="Cash" SortExpression="Cash" />
                                            </Columns>
                                            <RowStyle BackColor="White" ForeColor="#330099" />
                                            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                                            <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                                            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="#FFFFCC" />
                                        </asp:GridView>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <asp:AccessDataSource ID="dsOptTable" runat="server" DataFile="~/database/Portfolio.mdb"
                            DeleteCommand="DELETE FROM [tblOptimization] WHERE [Symbol] = ?" InsertCommand="INSERT INTO [tblOptimization] ([Symbol], [Cash]) VALUES (?, ?)"
                            SelectCommand="SELECT [Symbol], [Cash] FROM [tblOptimization]" UpdateCommand="UPDATE [tblOptimization] SET [Cash] = ? WHERE [Symbol] = ?">
                            <DeleteParameters>
                                <asp:Parameter Name="Symbol" Type="String" />
                            </DeleteParameters>
                            <UpdateParameters>
                                <asp:Parameter Name="Cash" Type="Int32" />
                                <asp:Parameter Name="Symbol" Type="String" />
                            </UpdateParameters>
                            <InsertParameters>
                                <asp:Parameter Name="Symbol" Type="String" />
                                <asp:Parameter Name="Cash" Type="Int32" />
                            </InsertParameters>
                        </asp:AccessDataSource>
                        </strong></span></td>
                <td align="left" style="width: 210px" valign="top">
                </td>
            </tr>
            <tr>
                <td align="left" colspan="3" valign="top">
                    <CR:CrystalReportViewer ID="rptViewer1" runat="server"
                     DisplayGroupTree="False" DisplayToolbar="False"/>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>

