<%@ Page Language="VB" MasterPageFile="~/Portfolio.master" AutoEventWireup="false" CodeFile="PersonalInfo.aspx.vb" Inherits="PersonalInfo" title="Personal Information" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
    <div style="text-align: center">
        <table border="0" cellpadding="3" cellspacing="3" style="width: 90%">
            <tr><td>

        <asp:DetailsView ID="dtvPersonalInfo" runat="server" AutoGenerateRows="False" BackColor="White"
        BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="4" DataKeyNames="InvestorID"
        DataSourceID="dsPersonalInfo" GridLines="Vertical" Width="425px" Font-Names="Arial" 
        Font-Size="Small" HorizontalAlign="Center">
        <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
        <EditRowStyle Font-Bold="False" />
        <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
        <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
        <Fields>
            <asp:BoundField DataField="Name" HeaderText="Name" SortExpression="Name" >
                <ControlStyle Width="175px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:BoundField DataField="Sex" HeaderText="Sex" SortExpression="Sex" ReadOnly="True" >
                <ControlStyle Width="50px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:BoundField DataField="Address" HeaderText="Address" SortExpression="Address">
                <ControlStyle Width="300px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:BoundField DataField="Email" HeaderText="Email" SortExpression="Email" 
            NullDisplayText="Required Field">
                <ControlStyle Width="175px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>
            <asp:BoundField DataField="Balance" HeaderText="Balance" SortExpression="Balance" 
            NullDisplayText="Required Field">
                <ControlStyle Width="50px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>            
            <asp:BoundField DataField="Login" HeaderText="Login" SortExpression="Login" 
            NullDisplayText="Required Field">
                <ControlStyle Width="175px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>            
            <asp:BoundField DataField="Password" HeaderText="Password" SortExpression="Password"
             NullDisplayText="Required Field">
                <ControlStyle Width="175px" />
                <ItemStyle HorizontalAlign="Left" />
            </asp:BoundField>
                        
            <asp:BoundField DataField="InvestorID" HeaderText="InvestorID" ReadOnly="True" 
            SortExpression="InvestorID"
                Visible="False" />
            <asp:CommandField ButtonType="Button" EditText="Update Information" ShowEditButton="True">
                <ControlStyle Font-Bold="False" Font-Names="Arial" Font-Size="Small" ForeColor="Navy" />
            </asp:CommandField>
        </Fields>
        <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="Gainsboro" />
        <FieldHeaderStyle Font-Names="Arial" Font-Size="Small" HorizontalAlign="Left" VerticalAlign="Middle"
            Width="100px" />
        <CommandRowStyle BackColor="#E0E0E0" />
    </asp:DetailsView>
    <asp:AccessDataSource ID="dsPersonalInfo" runat="server" DataFile="~/database/Portfolio.mdb"
         SelectCommand="SELECT [Name], [Sex], [Address], [Email], [Balance], [Login], [Password],
          [InvestorID] FROM [tblInvestor] WHERE ([InvestorID] = ?)" DeleteCommand="DELETE FROM [tblInvestor]
          WHERE [InvestorID] = ?" InsertCommand="INSERT INTO [tblInvestor] ([Name], [Sex], [Address], [Email]
          , [Balance], [Login], [Password], [InvestorID]) VALUES (?, ?, ?, ?, ?, ?, ?, ?)" UpdateCommand=
          "UPDATE [tblInvestor] SET [Name] = ?, [Sex] = ?, [Address] = ?, [Email] = ?, [Balance] = ?, 
          [Login] = ?, [Password] = ? WHERE [InvestorID] = ?">
        <SelectParameters>
            <asp:SessionParameter Name="InvestorID" SessionField="InvestorID" Type="Int32" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="InvestorID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Sex" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Balance" Type="Int32" />
            <asp:Parameter Name="Login" Type="String" />
            <asp:Parameter Name="Password" Type="String" />
            <asp:Parameter Name="InvestorID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Sex" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Balance" Type="Int32" />
            <asp:Parameter Name="Login" Type="String" />
            <asp:Parameter Name="Password" Type="String" />
            <asp:Parameter Name="InvestorID" Type="Int32" />
        </InsertParameters>
    </asp:AccessDataSource>
                &nbsp;
    
                </td>
            </tr>
        </table>
    </div>
 
</asp:Content>

