<%@ Page Language="VB" MasterPageFile="~/Portfolio.master" AutoEventWireup="false" CodeFile="PortOps.aspx.vb" Inherits="PortOps" Title="Portfolio Operations" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
    <div style="text-align: center">
        <table border="0" cellpadding="3" cellspacing="3" style="width: 90%">
            <tr>
                <td align="left" valign="top">
                    <span style="color: #ffff66; font-family: Arial">
                        Stocks from Database</span></td>
                <td align="left" valign="top">
                </td>
                <td align="left" valign="top">
                    <span style="color: #ffff66; font-family: Arial">
                        Stocks from Selected Portfolio</span></td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Choose Stock Type
                        to Filter:</span></td>
                <td align="left" valign="top">
                </td>
                <td align="left" valign="top">
                    <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Portfolio Details:</span></td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <asp:DropDownList ID="cmbType" runat="server" AutoPostBack="True" BackColor="#E0E0E0"
                        Height="30px" Width="176px">
                        <asp:ListItem Value="%">All</asp:ListItem>
                        <asp:ListItem Value="Auto">Auto</asp:ListItem>
                        <asp:ListItem Value="Beverages">Beverages</asp:ListItem>
                        <asp:ListItem Value="Communication">Communication</asp:ListItem>
                        <asp:ListItem Value="Energy">Energy</asp:ListItem>
                        <asp:ListItem Value="Insurance">Insurance</asp:ListItem>
                        <asp:ListItem Value="Retail">Retail</asp:ListItem>
                        <asp:ListItem Value="Software">Software</asp:ListItem>
                        <asp:ListItem Value="Tech">Tech</asp:ListItem>
                        <asp:ListItem Value="Utilities">Utilities</asp:ListItem>
                    </asp:DropDownList></td>
                <td align="left" valign="top">
                </td>
                <td align="left" valign="top">
                    <table border="0">
                        <tr>
                            <td style="width: 124px">
                                <asp:TextBox ID="txtPortName" runat="server" BackColor="#E0E0E0">Enter New Portfolio Name</asp:TextBox>
                                </td>
                            <td style="width: 56px">
                                <asp:Button ID="cmdCreate" runat="server" Text="Create" /></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td align="left" valign="top">
                    <asp:ListBox ID="lstStock" runat="server" BackColor="#E0E0E0" DataSourceID="dsStocks"
                        DataTextField="Company" DataValueField="Symbol" Height="225px" Width="176px"></asp:ListBox></td>
                <td align="left" valign="middle" style="text-align: center">
                    <asp:Button ID="cmdAdd" runat="server" Text=">> Add >>" /><br />
                    <br />
                    <asp:Button ID="cmdDelete" runat="server" Text="<< Remove <<" Width="95px" /></td>
                <td align="left" valign="top">
                    <asp:GridView ID="dgrPortDetails" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                        BackColor="White" BorderColor="#CC9966" BorderStyle="None" BorderWidth="1px"
                        CellPadding="4" DataSourceID="dsPortfolioDetails" Font-Names="Arial" Font-Size="Smaller"
                        PagerSettings-Mode="NextPrevious" PagerSettings-NextPageText="Next >" PagerSettings-PreviousPageText="< Previous"
                        PageSize="5" Width="208px">
                        <PagerSettings NextPageText="Next &gt;" PreviousPageText="&lt; Previous;" />
                        <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                        <Columns>
                            <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
                            <asp:BoundField DataField="Symbol" HeaderText="Symbol" ReadOnly="True" SortExpression="Symbol" />
                            <asp:BoundField DataField="Company" HeaderText="Company" ReadOnly="True" SortExpression="Company" />
                            <asp:BoundField DataField="Type" HeaderText="Type" ReadOnly="True" SortExpression="Type" />
                            <asp:BoundField DataField="Quantity" HeaderText="Quantity" SortExpression="Quantity" />
                            <asp:CommandField ButtonType="Button" ShowEditButton="True" />
                        </Columns>
                        <RowStyle BackColor="White" ForeColor="#330099" />
                        <EditRowStyle Font-Names="Arial" />
                        <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                        <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" Font-Names="Arial" Font-Size="Small"
                            ForeColor="#FFFFCC" />
                    </asp:GridView>
                </td>
            </tr>
            <tr>
                <td align="left" valign="top" colspan="3" style="text-align: center">
                    <asp:Label ID="lblMsg" runat="server" Font-Bold="True" Font-Names="Arial" Font-Size="Small"
                        ForeColor="Yellow"></asp:Label><br />
                    <asp:AccessDataSource ID="dsStocks" runat="server" DataFile="~/database/Portfolio.mdb"
                        SelectCommand="SELECT [Type], [Symbol], [Company] FROM [tblStock] WHERE ([Type] LIKE '%' + ? + '%')">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="cmbType" Name="Type" PropertyName="SelectedValue"
                                Type="String" />
                        </SelectParameters>
                    </asp:AccessDataSource>
                    <asp:AccessDataSource ID="dsPortfolioDetails" runat="server" DataFile="~/database/Portfolio.mdb"
                        SelectCommand="SELECT [Symbol], [Company], [Type], [Quantity] FROM [qryGetPortfolioDetails] WHERE ([PID] = ?)">
                        <SelectParameters>
                            <asp:SessionParameter DefaultValue="" Name="PID" SessionField="SelectedPID" Type="Int32" />
                        </SelectParameters>
                    </asp:AccessDataSource>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>

