<%@ Page Language="VB" MasterPageFile="~/Portfolio.master" AutoEventWireup="false" CodeFile="Portal.aspx.vb" Inherits="Portal" title="Investor's Portal" %>

<%@ Register Assembly="CrystalDecisions.Web, Version=10.2.3600.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" Namespace="CrystalDecisions.Web" TagPrefix="CR" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" Runat="Server">
 <div style="text-align: center">
        <table border="0" cellpadding="3" cellspacing="3" width="90%">
           <tr>
               <td colspan="2" style="text-align: left">
               <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Portfolio List:</span>
               </td>
               <td colspan="1" style="text-align: left">
               <span style="font-size: 10pt; color: #ffffff; font-family: Arial">Portfolio Details:</span>
               </td>
               <td colspan="1" style="width: 375px; text-align: left"></td>
            </tr>
            <tr>
                <td colspan="2" height="205" style="text-align: left" valign="top">
                    <asp:ListBox ID="lstPort" runat="server" AutoPostBack="True" BackColor="#E0E0E0"
                        DataSourceID="dsPortfolio" DataTextField="Name" DataValueField="PID" height="195px"
                        Width="120px" Font-Names="Arial" Font-Size="Small">
                    </asp:ListBox></td>
                <td colspan="1" height="205" style="text-align: left" valign="top">
                    <asp:GridView ID="grdPortDetails" runat="server" AllowPaging="True" AllowSorting="True"
                      AutoGenerateColumns="False" BorderColor="#CC9966" CellPadding="4"
                      DataSourceID="dsPortfolioDetails" Font-Names="Arial" Font-Size="Smaller"
                      PageSize="5" BorderStyle="None" BorderWidth="1px" BackColor="White" Width="250px">
                      <Columns>
                      <asp:BoundField DataField="Symbol" HeaderText="Symbol" SortExpression="Symbol" />
                      <asp:BoundField DataField="Company" HeaderText="Company" SortExpression="Company" />
                      <asp:BoundField DataField="Type" HeaderText="Type" SortExpression="Type" />
                      <asp:BoundField DataField="Quantity" HeaderText="Quantity" SortExpression="Quantity" />
                      </Columns>
                      <HeaderStyle BackColor="#990000" Font-Bold="True" Font-Names="Arial"
                       Font-Size="Small" ForeColor="#FFFFCC" />
                      <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                      <RowStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid" 
                      BorderWidth="1px" ForeColor="#330099" />
                      <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                      <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                    </asp:GridView>
                    <asp:AccessDataSource ID="dsPortfolioDetails" runat="server" 
                    DataFile="~/database/Portfolio.mdb" SelectCommand="SELECT Symbol, Company, 
                    Type, Quantity FROM qryGetPortfolioDetails WHERE (PID = ?)">
                       <SelectParameters>
                          <asp:ControlParameter ControlID="lstPort" Name="?" PropertyName="SelectedValue" />
                       </SelectParameters>
                    </asp:AccessDataSource>
                    <asp:AccessDataSource ID="dsPortfolio" runat="server" DataFile="~/database/Portfolio.mdb"
                        SelectCommand="SELECT [PID], [Name] FROM [tblPortfolio] WHERE [InvestorID] = ?">
                        <SelectParameters>
                            <asp:SessionParameter Name="?" SessionField="InvestorID" />
                        </SelectParameters>
                    </asp:AccessDataSource>
                </td>
                <td colspan="1" height="205" style="text-align: left" valign="top">
                  <asp:Label ID="lblMsg" runat="server" Font-Bold="True" Font-Names="Arial" 
                  Font-Size="Small" ForeColor="Red" Height="15px"></asp:Label></td>
            </tr>
            
            <tr>
                <td colspan="4" height="50" style="font-size: 10pt; text-align: left">
                  <asp:Button ID="cmdEdit" runat="server" ForeColor="Navy" Height="29px" 
                  Text="Edit Portfolio" Width="120px" Font-Size="Small" />
                  &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                    <asp:Button ID="cmdOpt" runat="server" ForeColor="Navy" Height="29px" 
                  Text="Optimize Portfolio" Width="120px" Font-Size="Small" />
                  &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
                    <asp:Button ID="cmdDelete" runat="server" ForeColor="Navy" Height="29px"
                   Text="Delete Portfolio" Width="120px" Font-Size="Small" />
                </td>
            </tr>
            
            <tr>
                <td colspan="4" style="text-align: center">
                    <CR:CrystalReportViewer ID="rptViewer1" runat="server"
                    DisplayGroupTree="False" DisplayToolbar="False"
                    EnableDatabaseLogonPrompt="False" EnableDrillDown="False"
                    EnableParameterPrompt="False" EnableTheming="False" 
                    HyperlinkTarget="" BestFitPage="False" />
                </td>
            </tr>
        </table>
 </div>       
</asp:Content>

